be.fgov.ehealth.insurability.core.v2

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.insurability.core.v2.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.insurability.core.v2 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.insurability.core.v2

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareProviderType` | `createCareProviderType()` Create an instance of `CareProviderType`
    `CareReceiverIdType` | `createCareReceiverIdType()` Create an instance of `CareReceiverIdType`
    `CareReceiverType` | `createCareReceiverType()` Create an instance of `CareReceiverType`
    `CommonInputType` | `createCommonInputType()` Create an instance of `CommonInputType`
    `CommonOutputType` | `createCommonOutputType()` Create an instance of `CommonOutputType`
    `CoverageType` | `createCoverageType()` Create an instance of `CoverageType`
    `EntitlementType` | `createEntitlementType()` Create an instance of `EntitlementType`
    `IdType` | `createIdType()` Create an instance of `IdType`
    `InsurabilityForPharmacistRequestType` | `createInsurabilityForPharmacistRequestType()` Create an instance of `InsurabilityForPharmacistRequestType`
    `InsurabilityForPharmacistResponseType` | `createInsurabilityForPharmacistResponseType()` Create an instance of `InsurabilityForPharmacistResponseType`
    `LicenseType` | `createLicenseType()` Create an instance of `LicenseType`
    `NihiiType` | `createNihiiType()` Create an instance of `NihiiType`
    `OriginType` | `createOriginType()` Create an instance of `OriginType`
    `PackageType` | `createPackageType()` Create an instance of `PackageType`
    `PartyType` | `createPartyType()` Create an instance of `PartyType`
    `PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
    `RecordCommonInputType` | `createRecordCommonInputType()` Create an instance of `RecordCommonInputType`
    `RecordCommonOutputType` | `createRecordCommonOutputType()` Create an instance of `RecordCommonOutputType`
    `RequestType` | `createRequestType()` Create an instance of `RequestType`
    `ReturnCodeType` | `createReturnCodeType()` Create an instance of `ReturnCodeType`
    `ReturnInfoType` | `createReturnInfoType()` Create an instance of `ReturnInfoType`
    `SamlAttributeType` | `createSamlAttributeType()` Create an instance of `SamlAttributeType`
    `ValueRefString` | `createValueRefString()` Create an instance of `ValueRefString`
    `VerificationType` | `createVerificationType()` Create an instance of `VerificationType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.insurability.core.v2

  - ### Method Detail

    - #### createSamlAttributeType

          public SamlAttributeType createSamlAttributeType()

      Create an instance of `SamlAttributeType`

    - #### createInsurabilityForPharmacistRequestType

          public InsurabilityForPharmacistRequestType createInsurabilityForPharmacistRequestType()

      Create an instance of `InsurabilityForPharmacistRequestType`

    - #### createInsurabilityForPharmacistResponseType

          public InsurabilityForPharmacistResponseType createInsurabilityForPharmacistResponseType()

      Create an instance of `InsurabilityForPharmacistResponseType`

    - #### createCareReceiverIdType

          public CareReceiverIdType createCareReceiverIdType()

      Create an instance of `CareReceiverIdType`

    - #### createCareReceiverType

          public CareReceiverType createCareReceiverType()

      Create an instance of `CareReceiverType`

    - #### createCoverageType

          public CoverageType createCoverageType()

      Create an instance of `CoverageType`

    - #### createPeriodType

          public PeriodType createPeriodType()

      Create an instance of `PeriodType`

    - #### createEntitlementType

          public EntitlementType createEntitlementType()

      Create an instance of `EntitlementType`

    - #### createReturnInfoType

          public ReturnInfoType createReturnInfoType()

      Create an instance of `ReturnInfoType`

    - #### createVerificationType

          public VerificationType createVerificationType()

      Create an instance of `VerificationType`

    - #### createReturnCodeType

          public ReturnCodeType createReturnCodeType()

      Create an instance of `ReturnCodeType`

    - #### createCommonInputType

          public CommonInputType createCommonInputType()

      Create an instance of `CommonInputType`

    - #### createRecordCommonInputType

          public RecordCommonInputType createRecordCommonInputType()

      Create an instance of `RecordCommonInputType`

    - #### createRequestType

          public RequestType createRequestType()

      Create an instance of `RequestType`

    - #### createOriginType

          public OriginType createOriginType()

      Create an instance of `OriginType`

    - #### createPackageType

          public PackageType createPackageType()

      Create an instance of `PackageType`

    - #### createLicenseType

          public LicenseType createLicenseType()

      Create an instance of `LicenseType`

    - #### createPartyType

          public PartyType createPartyType()

      Create an instance of `PartyType`

    - #### createCareProviderType

          public CareProviderType createCareProviderType()

      Create an instance of `CareProviderType`

    - #### createIdType

          public IdType createIdType()

      Create an instance of `IdType`

    - #### createNihiiType

          public NihiiType createNihiiType()

      Create an instance of `NihiiType`

    - #### createValueRefString

          public ValueRefString createValueRefString()

      Create an instance of `ValueRefString`

    - #### createCommonOutputType

          public CommonOutputType createCommonOutputType()

      Create an instance of `CommonOutputType`

    - #### createRecordCommonOutputType

          public RecordCommonOutputType createRecordCommonOutputType()

      Create an instance of `RecordCommonOutputType`

Connector Packaging generic 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.